Kerbal Space Program - Bug #17834

Plasma shock effects visible through craft and otherwise weird
03/07/2018 06:33 AM - Nebbie

Status: Closed Start date: 03/07/2018
Severity: Very Low % Done: 100%
Assignee:

Category: Camera

Target version: 1.7.0

Version: 1.4.0 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion: Core Game

Description

Very likely related to previous issue, the effects are rendering in front of the craft incorrectly.

History

#1 - 03/08/2018 04:44 AM - MechBFP

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Platform Windows added

Confirmed on Windows as well.

#2 - 03/08/2018 07:34 PM - GarrettMoody
- Platform OSX added

Confirmed on OSX as well.

#3 - 03/09/2018 05:20 AM - MechBFP

Note, the flames not occluding with the craft is also a problem in previous versions. It is simply much more difficult to notice in previous versions due
to the effects being different.

#4 - 03/14/2018 10:39 PM - Squelch

- Status changed from Confirmed to Ready to Test
- Target version set to 1.4.1

- % Done changed from 10 to 80

- Expansion Core Game added

Improvements have been made to the aero and re-entry effects. Please could you retest in 1.4.1?

System and OS specs are important in diagnosing this problem, so please could these be supplied along with a copy of Player.log where the GPU
capabilities are recorded?

#5 - 03/17/2018 07:15 PM - Nebbie
- File Player.log added

- File screenshot568.png added

- File screenshot571.png added

- File screenshot573.png added

Recreated approximate test conditions in 1.4.1, same return vehicle except | forgot the solar panels and low amount of chutes. Player.log and some
screenshots attached (third one | accidentally pressed F2 with, it's a bit later right as the effects were dissipating).

I've seen this visible-through-craft behavior on other craft, it's just much more noticible with the Hitchhiker's Can because of the little edge handles
creating concentrated glows.
#6 - 03/17/2018 08:02 PM - Nebbie
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

#7 - 03/25/2018 11:28 PM - alex.g

Also having this issue with fresh Steam install

Intel Core i7 6700K

Gigabyte GA-Z170X

2x8GB DDR4 3200

GTX 1070 - Driver Version 391.24
Windows 10 Pro 64bit

Primary Display 2560x1440 HDMI
Secondary Display 1920x1080 DVI-D

Do NOT have Making History DLC

#8 - 04/04/2018 01:58 PM - Electrocutor

My Observations:

This affects all platforms

This affects all supported graphics APIs: DX9 & OpenGL

This affects both re-entry and super-sonic effects

| would suggest that this is also related to the same two effects randomly wigging out depending on camera-angle and zoom-amount, as well as
both effects completely disappearing when zoomed further out.

¢ | have not yet found anyone who does not experience this issue.

#9 - 04/26/2018 11:29 PM - Squelch
- Status changed from Not Fixed to Investigating

- % Done changed from 50 to 20

#10 - 04/26/2018 11:29 PM - Squelch
- Status changed from Investigating to Being Worked On
- % Done changed from 20 to 30

#11 - 03/15/2019 05:50 PM - nestor
- Status changed from Being Worked On to Ready to Test
- Target version changed from 1.4.1 to 1.5.1

- % Done changed from 30 to 80

#12 - 03/16/2019 12:09 AM - Anth12

- File 1.4.1 Issue.png added

- File 1.5.1 Effects Fixed.png added

- File Highlighting Heat Effects 1.6.1.png added

- Status changed from Ready to Test to Needs Clarification
- % Done changed from 80 to 0

Ok...I remember this issue,

1. Picture in 1.4.1 to show the problem

2. Picture in 1.5.1 to show the problem resolved.

3. Picture in 1.6.1 to show problem resolved but also the highlighting issue.

The effects is fixed but there is a certain time in reentry where theres red highlighting which | dont believe is the same as the effects
Highlighting red ring is something else...correct?

| say its resolved but due to the red highlighting | have set this to Needs Clarification.

#13 - 04/11/2019 07:40 PM - chris.fulton
- Status changed from Needs Clarification to Ready to Test

- Target version changed from 1.5.1 to 1.7.0
- % Done changed from 0 to 80

Changes have been made in 1.7 and due to the comments it appears the original issue is now fixed. Moving to RTT.

#14 - 04/12/2019 09:18 AM - Anth12
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Agreed. Resolved. The red highlighting is part of the thermal gauges and can be turned off. meaning its separate from this issue

#15 - 04/12/2019 06:19 PM - chris.fulton

- Status changed from Resolved to Closed

Files

screenshot191.png 1.17 MB 03/07/2018 Nebbie
screenshot192.png 1.48 MB 03/07/2018 Nebbie
screenshot194.png 1.59 MB 03/07/2018 Nebbie
screenshot198.png 1.84 MB 03/07/2018 Nebbie
screenshot199.png 2.91 MB 03/07/2018 Nebbie
Player.log 1.15 MB 03/17/2018 Nebbie
screenshot568.png 1.89 MB 03/17/2018 Nebbie
screenshot571.png 2.01 MB 03/17/2018 Nebbie
screenshot573.png 1.95 MB 03/17/2018 Nebbie
1.4.1 Issue.png 682 KB 03/15/2019 Anth12
1.5.1 Effects Fixed.png 1.46 MB 03/16/2019 Anth12
Highlighting Heat Effects 1.6.1.png 1.56 MB 03/16/2019 Anth12
